* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

body {
  background: #f7f9fc;
  color: #1f2937;
  line-height: 1.6;
}

.container-box {
  width: 90%;
  max-width: 1100px;
  margin: 0 auto;
}

.hero {
  padding: 40px 0 20px;
}

.hero h1 {
  font-size: 36px;
  margin-bottom: 12px;
  color: #0f172a;
}

.hero p {
  font-size: 18px;
  color: #475569;
  max-width: 850px;
}

.breadcrumb-wrap {
  font-size: 14px;
  margin-top: 20px;
  color: #64748b;
}

.breadcrumb-wrap a {
  text-decoration: none;
  color: #24ac68;
}

.card-box {
  background: #fff;
  border-radius: 14px;
  padding: 24px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
  margin: 24px 0;
}

.calculator-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px;
}

.full-width {
  grid-column: 1 / -1;
}

label {
  display: block;
  margin-bottom: 8px;
  font-weight: 600;
  font-size: 15px;
}

input,
select {
  width: 100%;
  padding: 12px 14px;
  border: 1px solid #d1d5db;
  border-radius: 10px;
  font-size: 16px;
}

.calc-btn {
  width: 100%;
  padding: 12px 14px;
  border: none;
  border-radius: 10px;
  font-size: 16px;
  font-weight: 700;
  cursor: pointer;
  background: #24ac68;
  color: #fff;
  transition: 0.3s ease;
}

.calc-btn:hover {
  background: rgb(5, 202, 110);
}

.result-box {
  margin-top: 20px;
  padding: 18px;
  background: #eff6ff;
  border: 1px solid #bfdbfe;
  border-radius: 12px;
  display: none;
}

.result-box h3 {
  margin-bottom: 8px;
  color: #24ac68;
}

section {
  margin: 40px 0;
}

section h2 {
  font-size: 28px;
  margin-bottom: 14px;
  color: #1e293b;
}

section h3 {
  font-size: 22px;
  margin: 20px 0 10px;
  color: #1e293b;
}

p {
  margin-bottom: 12px;
}

ul {
  padding-left: 20px;
  margin-top: 10px;
}

.formula-box {
  background: #f8fafc;
  border-left: 4px solid ;
  padding: 16px;
  border-radius: 8px;
  margin-top: 12px;
  font-weight: 700;
}

.faq-item {
  margin-bottom: 16px;
  padding-bottom: 16px;
  border-bottom: 1px solid #e5e7eb;
}

.faq-item h3 {
  font-size: 20px;
  margin-bottom: 8px;
}

.related-tools a {
  display: inline-block;
  margin-right: 12px;
  margin-bottom: 12px;
  text-decoration: none;
  color: #24ac68;
  background: #e0f2fe;
  padding: 10px 14px;
  border-radius: 999px;
  font-weight: 600;
}

@media (max-width: 768px) {
  .calculator-grid {
    grid-template-columns: 1fr;
  }

  .hero h1 {
    font-size: 28px;
  }

  section h2 {
    font-size: 24px;
  }
}